# MachinePump
Object

## Fields

## #

description

String

externalId

ID !
Non-null

isActive

Boolean

location_3dmr

String

location_3dn

String

name

String

pnid_file

String

pressure_ts

String

production_ts

String

state

String

weight

Int

## Usages

## #

#### References

#### #

- Field items from MachinePumpConnection

- Field node from _MachinePumpEdge

Previous

JSONObject

Next

MachinePump2